(regression) Inconsistent behavior in the table of attributes after digitizing new geometries and 

clicking on the "save" icon
Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14381

Description

The issue is rather easy to replicate but I can't find the proper words to describe it briefly, so I'll list instead a few steps.

    -  add a shapefile (I tested with polygons, not sure is important)

    -  open the attribute table (I tested with it docked, not sure is important)

    -  add a new polygon and enter the values for the attribute table when the window pops-up

    -  so far so good

    -  click on the "save edits" button

    -  start digitize a new geometry, the row of the geometry digitized before saving the edits become full of "ERROR" 

    -  if you select the row now full of "ERROR" the respective geometry is not selected in the canvas

    -  the "delete feature" button is still active, you can even delete that "selected" feature, but then when toggling off the editing mode,

you'll get

@Could not commit changes to layer XXX

Errors: ERROR: 1 feature(s) not deleted.@

    -  if you don't try remove one of these "selected" features, you can exit normally the edit mode -> the table of attributes will still show the

row full of "ERROR", but closing the table and reopening it will show the right attributes as expected.

Tested on trunk on Ubuntu and Windows.

History

#1 - 2011-11-16 01:29 AM - Giovanni Manghi

- Subject changed from Inconsistent behavior in the table of attributes after digitizing new geometries and clicking on the "save" icon to (regression) 

Inconsistent behavior in the table of attributes after digitizing new geometries and clicking on the "save" icon

- Target version set to Version 1.7.2

Update;

it is a regression, in QGIS 1.6 there isn't this issue.

I noticed also that after adding a feature and seeing the table of attributes cells become full of "ERROR", it just needed to click on a column title (and

reorder somehow the rows) to see the right values show. If not doing it you can always fall into the error situation described above.

#2 - 2011-11-30 12:40 PM - Giovanni Manghi
- Target version changed from Version 1.7.2 to Version 1.7.3

#3 - 2011-12-16 10:55 AM - Giovanni Manghi

- Target version changed from Version 1.7.3 to Version 1.7.4

#4 - 2011-12-19 05:48 AM - Giovanni Manghi

Seems that can be related if the table of attributes is docked or not

#5 - 2011-12-24 01:20 AM - Giovanni Manghi

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

Still true in the lastest trunk. As a regression it should be fixed sooner than later.

#6 - 2012-02-11 02:05 PM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

This seems has already been fixed.
